Package org.silverpeas.mobile.shared.dto.almanach

## Class CalendarEventAttendeeDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.almanach.CalendarEventAttendeeDTO

- All Implemented Interfaces:
    `Serializable`

      public class CalendarEventAttendeeDTO
      extends Object
      implements Serializable

  Author:
    svu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CalendarEventAttendeeDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getFullName()` |
    `String` | `getId()` |
    `ParticipationStatusDTO` | `getParticipationStatus()` |
    `PresenceStatusDTO` | `getPresenceStatus()` |
    `void` | `setFullName​(String fullName)` |
    `void` | `setId​(String id)` |
    `void` | `setParticipationStatus​(ParticipationStatusDTO participationStatus)` |
    `void` | `setPresenceStatus​(PresenceStatusDTO presenceStatus)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarEventAttendeeDTO

          public CalendarEventAttendeeDTO()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId​(String id)

    - #### getFullName

          public String getFullName()

    - #### setFullName

          public void setFullName​(String fullName)

    - #### getParticipationStatus

          public ParticipationStatusDTO getParticipationStatus()

    - #### setParticipationStatus

          public void setParticipationStatus​(ParticipationStatusDTO participationStatus)

    - #### getPresenceStatus

          public PresenceStatusDTO getPresenceStatus()

    - #### setPresenceStatus

          public void setPresenceStatus​(PresenceStatusDTO presenceStatus)